Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## turtlekit.simulations.gravity
Class BlackHole

    java.lang.Object
      madkit.kernel.AbstractAgent
          turtlekit.kernel.Turtle
              turtlekit.simulations.gravity.BlackHole

All Implemented Interfaces:
  java.io.Serializable, ReferenceableAgent

    public class BlackHole

extends Turtle

the "galaxy" center

Version:
  1.1 4/1/2000
Author:
  Fabien MICHEL
See Also:
  Serialized Form

Field Summary

Fields inherited from class turtlekit.kernel.Turtle
`East, North, NorthEast, NorthWest, South, SouthEast, SouthWest, TURTLE_DEFAULT_ROLE, West`

Constructor Summary
`BlackHole()`

Method Summary
`java.lang.String` | `move()` the only one behavior of what we have call a BlackHole
`void` | `setup()`

Methods inherited from class turtlekit.kernel.Turtle
`activate, bk, countTurtlesAt, countTurtlesHere, createTurtle, defaultAction, die, distance, distanceNowrap, dropMark, dropMarkAt, dx, dy, end, fd, getColor, getHeading, getHidden, getMark, getMarkAt, getPatchColor, getPatchColorAt, getPatchVariable, getPatchVariableAt, getSimulationGroup, getTurtleWithID, getWorldHeight, getWorldWidth, giveUpRole, home, incrementPatchVariable, incrementPatchVariableAt, isMarkPresent, isMarkPresentAt, isPlayingRole, moveTo, moveTo, mySelf, playRole, randomHeading, realX, realY, setColor, setHeading, setHidden, setPatchColor, setPatchColorAt, setX, setXY, setY, toString, towards, towardsNowrap, turnLeft, turnRight, turtlesAt, turtlesHere, xcor, ycor`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, destroyGroup, disposeMyGUI, foundGroup, getAddress, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, hashCode, hideMyGUI, initGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, receiveMessage, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BlackHole

    public BlackHole()

Method Detail

### setup

    public void setup()

  Overrides:
    `setup` in class `Turtle`

### move

    public java.lang.String move()

  the only one behavior of what we have call a BlackHole

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.